package org.eclipse.ecf.example.sc.ui.search;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.IJavaElement;
import org.eclipse.jdt.core.search.SearchMatch;
import org.eclipse.jdt.core.search.SearchRequestor;

public class SCSearchRequestor extends SearchRequestor {
	private List result = new ArrayList();
	public void acceptSearchMatch(SearchMatch match) throws CoreException {
		if (match.getElement() instanceof IJavaElement) {
			result.add(match.getElement());
		}
	}
	
	public List getResult(){
		return result;
	}
	

}
