package org.eclipse.ecf.example.sc.actions;

import java.io.IOException;

import org.eclipse.ecf.core.util.ECFException;
import org.eclipse.ecf.datashare.IChannel;
import org.eclipse.ecf.example.sc.core.Activator;
import org.eclipse.ecf.example.sc.exception.ShareCodeException;
import org.eclipse.ecf.example.sc.message.SharedCodeMessage;


public class ReplayAction extends ShareCodeAction {
	
	
	/**
	 * 
	 * @param requestMessage
	 * @throws ShareCodeException
	 */
	public void execute(SharedCodeMessage replyMessage) throws ShareCodeException {
	
		IChannel channel = Activator.getDefault().getPresenceChannel();
		
		if(channel != null){		
			
			
			try {
				channel.sendMessage(replyMessage.getRequestorId(), replyMessage.toByteArray());
			} catch (ECFException e) {
//				 TODO Tratar LOG
				e.printStackTrace();
			} catch (IOException e) {	
//				 TODO Tratar LOG
				e.printStackTrace();
			}
		
		}
	}


}
