package org.eclipse.ecf.example.sc.asynchronous;

import org.eclipse.ecf.example.sc.exception.ShareCodeException;
import org.eclipse.ecf.example.sc.message.SharedCodeMessage;


public class MessageProducer {

	private RequestQueue requestQueue;

	public MessageProducer(RequestQueue requestQueue) {
		this.requestQueue = requestQueue;
	}

	/**
	 * Adds the specified SharedCodeMessage to the requestQueue
	 * @param requestMessage
	 * @throws InterruptedException
	 * @throws ShareCodeException 
	 */
	public void send(SharedCodeMessage requestMessage) throws ShareCodeException {
		requestQueue.addMessage(requestMessage);
		
	}

}
